Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.image.geotiff
Class GeoTIFFImageReader

    java.lang.Object
      com.bbn.openmap.dataAccess.image.geotiff.GeoTIFFImageReader

All Implemented Interfaces:
  ImageReader

public class GeoTIFFImageReader
extends java.lang.Object
implements ImageReader

An ImageReader that handles GeoTIFFs.

Author:
  dietrick

Field Summary
`static java.util.logging.Logger` | `logger`

Constructor Summary
`GeoTIFFImageReader(java.net.URL fileURL)`

Method Summary
`java.awt.image.BufferedImage` | `getBufferedImage()` Will be called by the Image cache by the ImageTile to replenish the image data as it is needed when the ImageTile is on the map.
`ImageTile` | `getImageTile()` Should be called by the the object managing the ImageTiles.
`ImageTile` | `getImageTile(ImageTile.Cache cache)` Should be called by the object managing the ImageTiles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static java.util.logging.Logger logger

Constructor Detail

### GeoTIFFImageReader

    public GeoTIFFImageReader(java.net.URL fileURL)

Method Detail

### getImageTile

    public ImageTile getImageTile(ImageTile.Cache cache)

  Description copied from interface: `ImageReader`
  Should be called by the object managing the ImageTiles.

  Specified by:
    `getImageTile` in interface `ImageReader`
  Parameters:
    `cache` - The CacheHandler that should be used by the ImageTile for dynamic image loading.
  Returns:
    ImageTile, null if there is a problem.

### getImageTile

    public ImageTile getImageTile()

  Description copied from interface: `ImageReader`
  Should be called by the the object managing the ImageTiles.

  Specified by:
    `getImageTile` in interface `ImageReader`
  Returns:
    ImageTile, null if there is a problem.

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage()

  Description copied from interface: `ImageReader`
  Will be called by the Image cache by the ImageTile to replenish the image data as it is needed when the ImageTile is on the map.

  Specified by:
    `getBufferedImage` in interface `ImageReader`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details